Question: MACS2 2.1.0.20151222.0 predictd Error: use updated version instead 2.1.1.20160309.0
0
gravatar for fengpan
6 months ago by
fengpan0
fengpan0 wrote:

I got an error message when using galaxy MACS2 predictd:

Tool execution generated the following error message: Fatal error: Exit code 2 () The tool produced the following additional output: Fatal error: cannot open file 'predictd': No such file or directory

Any idea of how it happened? Thanks.

ADD COMMENTlink modified 6 months ago by Jennifer Hillman Jackson23k • written 6 months ago by fengpan0

Where are you using Galaxy? http://usegalaxy.org or elsewhere? Local or cloud? Another public Galaxy (which URL)?

Thanks! Jen, Galaxy team

ADD REPLYlink written 6 months ago by Jennifer Hillman Jackson23k

Hi Jen, I am using cloud galaxy, usegalaxy.org. Thanks. Feng

ADD REPLYlink written 6 months ago by fengpan0

I tried this morning, it worked. Thanks Jen.

ADD REPLYlink written 6 months ago by fengpan0

Sorry, when I tried multiple datasets, it didn't work again.

ADD REPLYlink written 6 months ago by fengpan0

Hi Feng, Could you send in a bug report from the error dataset at http://usegalaxy.org? This tool suite was recently updated and although it passed tests at the time there could be another issue. I can also let you know if there is instead a usage/input problem that way and explain how to avoid it. Please include a link to this post in the comments and make sure that the inputs and output are left undeleted. Thanks! Jen

ADD REPLYlink written 6 months ago by Jennifer Hillman Jackson23k

Hi Jen, I sent the bug report already, but without link. Since I got my results, I deleted all the failed datasets. From what I observed today, sometimes, it works; sometimes, it doesn't. Thanks. Feng.

ADD REPLYlink written 6 months ago by fengpan0

Yes, I see the bug report now. I'll try to take a look anyway, see if I can reproduce, and reply through email directly. If you do run into this again, please send in another bug report - error datasets do not take up any account disk space. Thanks! Jen

ADD REPLYlink written 6 months ago by Jennifer Hillman Jackson23k
0
gravatar for Jennifer Hillman Jackson
6 months ago by
United States
Jennifer Hillman Jackson23k wrote:

Hello,

The error was due to using an older version of the tool 2.1.0.20151222.0 that has a known issue. It was corrected in the most current version of the tool on the server, confirmed in our earlier tests, your history, and in a rerun today.

The corrected tool version is the one accessed from the tool panel right now 2.1.1.20160309.0.

This job was run with a workflow, correct? It should have the tool edited to use the updated version. This will permit successful batch job execution again.

Thanks for sending this in! It helped very much to see the actual history content to resolve what the root cause of the error.

Jen

ADD COMMENTlink written 6 months ago by Jennifer Hillman Jackson23k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 101 users visited in the last hour